package com.muyu.kvt.client.pool;

/**
 * 提供一个连接池的准则 BasePool
 *
 * @author LeYang
 * on 2024/5/9
 */
public interface BasePool<T> {
    /**
     * 初始化
     */
    public void init();

    /**
     * 获取连接
     */
    public T getConn();

    /**
     * 归还连接
     */
    public void returnConn(T conn);

    /**
     * 创建连接
     */
    public T creatConnection();

    /**
     * 关闭连接
     */
    public void close();
}
