package com.muyu.kvt.client.pool.confilg;

import com.muyu.kvt.client.pool.BaseConfig;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * mysql连接池配置 MysqlPoolConfig
 *
 * @author LeYang
 * on 2024/5/9
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class MysqlPoolConfig {
    /**
     * id
     */
    private String id;
    /**
     * 初始化连接数
     */
    private int initTotal;
    /**
     * 最大连接数
     */
    private int maxTotal;
    /**
     * 最长等待时间 毫秒
     */
    private long maxWaitTimes;
    /**
     * 驱动
     */
    private String driverName;
    /**
     * url ip 端口 数据库名 编码
     */
    private String ip;
    private String port;
    private String databaseName;
    private String param;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */

    private String password;

    /**
     * 获取数据库连接
     */
    public String getUrl() {
        StringBuilder urlSb = new StringBuilder(BaseConfig.MYSQLJDBCPRO);
        urlSb.append(this.ip);
        urlSb.append(":");
        urlSb.append(this.port);
        urlSb.append("/");
        urlSb.append(this.databaseName);
        urlSb.append("?");
        urlSb.append(this.param);
        return urlSb.toString();
    };



}
