package com.muyu.kvt.client.pool.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据源对象 SysDataSoure
 *
 * @author LeYang
 * on 2024/5/9
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SysDataSource {
    private static final long serialVersionUID = 1L;

    /** 数据源密码 */
    private String id;

    /** 接入源名称 */
    private String name;

    /** 数据来源系统名称 */
    private String systemName;

    /** 主机地址 */
    private String host;
    private String port;

    /** 用户名 */
    private String username;

    /** 密码 */
    private String password;

    /** 数据接入类型 */
    private String type;
    /** 数据库名称 */
    private String databaseName;

    /** 数据连接参数 */
    private String connectionParam;

    /** 初始连接数量 */
    private int initNum;

    /** 最大连接数量 */
    private int maxNum;

    /** 最大等待时间 */
    private int maxWaitTime;

    /** 最大等待次数 */
    private int maxWaitSize;

    /** 备注 */
    private String remark;



    /** 是否初始化 */
    private String isInit;

}
