package com.muyu.kvt.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.kvt.domain.Kvt;
import com.muyu.kvt.remote.factory.DataManagerFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * RemoteUser
 *
 * @author LeYang
 * on 2024/4/27
 */
@FeignClient(
        contextId = "RemoteDataManagerService",
        value = ServiceNameConstants.MUYU_KVT,
        fallbackFactory = DataManagerFactory.class,
        path = "/kvt"
)
public interface RemoteDataManagerService {

    @PostMapping("/selectKvt")
    public Result<List<Kvt>> selectKvt();

}
