package com.muyu.kvt.remote.factory;


import com.muyu.common.core.domain.Result;
import com.muyu.kvt.domain.Kvt;
import com.muyu.kvt.remote.RemoteDataManagerService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户服务降级处理
 *
 * @author muyu
 */
@Component
public class DataManagerFactory implements FallbackFactory<RemoteDataManagerService> {

    @Override
    public RemoteDataManagerService create(Throwable cause) {
        return new RemoteDataManagerService() {


            @Override
            public Result<List<Kvt>> selectKvt() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
