package com.muyu.engine.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.domain.req.RuleEngineQueryReq;
import com.muyu.engine.remote.factory.RuleEngineManangerServiceFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * RuleEngineManangerService
 *
 * @author LeYang
 * on 2024/5/9
 */
@FeignClient(
        contextId = "RuleEngineManangerService",
        value = ServiceNameConstants.MUYU_RULE_ENGINE,
        fallbackFactory = RuleEngineManangerServiceFactory.class,
        path = "/engine"
)
public interface RuleEngineManangerService {
    @PostMapping("/selectRuleEngine")
    public Result<List<RuleEngine>> selectRuleEngine();
}
