package com.muyu.engine.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.domain.req.RuleEngineQueryReq;
import com.muyu.engine.remote.RuleEngineManangerService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户服务器降级处理 RuleEngineManangerServiceFactory
 *
 * @author LeYang
 * on 2024/5/9
 */
@Component
public class RuleEngineManangerServiceFactory implements FallbackFactory<RuleEngineManangerService> {
    @Override
    public RuleEngineManangerService create(Throwable cause) {
        return new RuleEngineManangerService() {
            @Override
            public Result<List<RuleEngine>> selectRuleEngine() {
                return  Result.error(cause.getMessage());
            }
        };
    }
}
